= nng_http_client_free(3http)
//
// Copyright 2018 Staysail Systems, Inc. <info@staysail.tech>
// Copyright 2018 Capitar IT Group BV <info@capitar.com>
//
// This document is supplied under the terms of the MIT License, a
// copy of which should be located in the distribution where this
// file was obtained (LICENSE.txt).  A copy of the license may also be
// found online at https://opensource.org/licenses/MIT.
//

== NAME

nng_http_client_free - free HTTP client

== SYNOPSIS

[source, c]
----
#include <nng/nng.h>
#include <nng/supplemental/http/http.h>

void nng_http_client_free(nng_http_client *client);
----

== DESCRIPTION

The `nng_http_client_free()` frees the HTTP client and any associated
resources referenced by _client_.

NOTE: Any connections created by
xref:nng_http_client_connect.3http.adoc[`nng_http_client_connect()`] are unaffected,
and so the caller must close those explicitly if desired.

== RETURN VALUES

None.

== ERRORS

None.

== SEE ALSO

[.text-left]
xref:nng_http_client_alloc.3http.adoc[nng_http_client_alloc(3)],
xref:nng_http_client_connect.3http.adoc[nng_http_client_connect(3)],
xref:nng.7.adoc[nng(7)]
